Setting up the development environment for Flex applications

The developer must set up the development environment before enabling the Flex application for testing with HCL OneTest™ UI.

About this task

To set up the development environment for Flex 2.0, follow these steps:
Note:
  • The automation framework is a part of Flex Builder for Flex versions 3.0, 3.2, 4.0, 4.1 and 4.5, and therefore the following steps are not required these versions. However, Flex 3.3, 3.4, and 3.5 do not have the automation libraries bundled. For these versions, use the automation libraries of Flex 3.2. Copy the _rb.swc files from Flex 3.2 locale directory to the locale directory of Flex 3.3, 3.4, and 3.5 SDK.
  • For data visualization in Flex versions 3.3, 3.4, 3.5, 4.0, 4.1 and 4.5, make sure that you also include the datavisualization.swc file for these versions that is available on the Adobe site.
  • For Spark controls in Flex versions 4.0, 4.1 and 4.5, make sure that you also include the automation_spark.swc file for these versions that is available on the Adobe site.

Procedure

  1. Copy the automation_agent.swc file from the flex automation installation directory/flex automation /frameworks/libs directory to the flex builder installation/Flex SDK/frameworks/libs directory.
  2. Copy the automation_agent_rb.swc file from the flex automation installation directory/frameworks/locale/en_US directory to the flex builder installation/Flex SDK/frameworks/locale/en_US folder.
    Important: This step shows the path for US English. When using a different locale, replace en_US with the correct locale.
Feedback